---
layout: wip
title: "MoneroKon 2022 CCS"
author: midipoet
date: December 7, 2021
amount: 328 XMR
milestones:
  - name: Funds paid out
    funds: 328
    done: 21 February 2022
    status: finished
  - name:
    funds:
    done:
    status: unfinished
payouts:
  - date: 21 February 2022
    amount: 328
---

# MoneroKon 2022 Funding

# What:
A small working group (#monero-events) would like to push forward with plans for a Monero conference. 
 
We had originally planned for an event in Berlin in 2020, but this was cancelled mid-way through planning, due to the pandemic. 2021 was also cancelled. 
 
We feel that 2022 is the time to try again. Due to the ongoing situation in Germany (high case numbers and greater restrictions), it was decided to try in Lisbon, Portugal - mainly for two reasons. The first is that Portugal has taken a relatively risk-tolerant approach to the situation, and has also begun opening up for public events. Recently it hosted Web Summit 2021 - which had 10,000 capacity. 
 
The Monero conference will be in a similar theme to the last MoneroKon, which was hosted in Denver, Colorado in 2019.
 
We are hoping to put on a professional two-day event, with capacity for 200 people, live-streamed (hopefully), and including an afterparty. The intended date is sometime in June 2022 (venue availability ending). The conference itself will focus on high quality talks, workshops, and panel discussions. We will also build in some downtime for people to mingle, and enjoy conversation with peers and friends they may not have seen for some years.
 
**We are imagining this will be the first of two CCS requests.**

This first one (CCS-1) covers the total (maximum) **estimated cost of putting on the event - €55,650** (328 XMR approx @ current price of €170 per XMR - 6th January 2021).

**edit2 - changed price above to reflect more closely current market value.**

**edit3 - changed price above to reflect more closely current market value and also include the addition of a ticketing system.**

**edit4 - changed price above to reflect more closely current market value (6th January) and also include the addition of a ticketing system.**

The second CCS (CCS-2) will cover the cost of speaker and volunteer travel and accommodation. We imagine there will be 25 total speakers and volunteers, and we have a **very rough estimate that CCS will be around €25,000.**
 
The idea is that CCS-1 is the **maximum cost for the event.** As we get closer to the actual event (Mar/Aril 2022), we should know how much we have saved from CCS-1 (i.e. the actual costs being less than the imagined maximum costings). Any funds that we have saved will be used to reduce the CCS-2 amount.

**Please note that if the actual event costs are not significantly lower than the quoted maximum then the second CCS will be required to cover the total costs for speaker and volunteer travel and accommodation.**

**edit3 - we also discussed the possibility of obtaining sponsors for the event. The decision was made to keep this an option, and to direct sponsors towards the second CCS (speaker, travel and volunteer costs). This way sponsors will hopefully have more certainty of the event happening (March/April), and they can ask speakers to note the support they have received from corporate donors. We will try and and ensure that sponsors are not a requirement for event success, but if they can lessen the load on the community, that is also welecomed.**

The two CCS idea is mainly for two reasons:

1. To protect the community in the event of travel restrictions being imposed/or in the event that the event may be cancelled. The cost of travel is delayed until things are clearer/more certain. 

2. Two CCSs reduces the immediate burden on the community, by splitting the request into two smaller amounts. 
 
# Who:
I (midipoet) am one of the main instigators of this funding proposal - along with a number of other known and trusted community members. Personally, I have been a community member for a number of years, speaking at various events, conducting research, and constructively working on Monero through the Monero Policy Working Group. 
 
However, this CCS is not for me as there is a core group who will be supporting organisation, planning, and overseeing the project throughout (#monero-events), including known and trusted members of the community such as msvb, ajs, carrington, kico, and reset (as well as others).
 
# How: 
This is the important bit.
 
Firstly, I am proposing to hire two designated project managers to support organising the event. A PM was also hired for MoneroKon 2019 (so there is precedent).  
 
I am personally nominating (and taking ultimate responsibility for) two entities known and trusted to me. They own and operate Provenance Events, and have recently successfully put on www.liscon.org (1500 capacity Ethereum conference in Lisbon, in October 2021). They also have experience at putting on cryptocurrency/blockchain conferences in Ireland, Japan, and Korea.
 
A series of photos from their events may be found [here](https://drive.google.com/drive/u/1/folders/1W8lX2ZNdUaBvYR3MDlAPiHV4nu2mliCT). 
 
They are currently based out of the Azores and know Lisbon well, having lived there for the last six months leading up to Liscon 2021. They have agreed to do the project management for a fee of €5000 + estimated expenses of €1500 (capped to that amount). 

They are ultimately our eyes on the ground and will be coordinating all decisions through the Monero events work group (#monero-events), in discussion with the overarching planning team.
 
They have drafted up [this excel](https://docs.google.com/spreadsheets/u/1/d/1Ls-U_F6DPjm0kpXwzz-noLLKR5Ti42gffj31LcoINc8/edit#gid=0) of estimated costs. They believe this to be the maximum required to put on the event. It includes their fee. Everything marked in yellow they believe may be optional/dependent on venue. 
 
Any surplus from CCS-1, we will use to either: 
 
1. fund speakers and volunteer related expenses thus reducing CCS-2
2. returned to the general fund to be used for MoneroKon 2023 (to be held in the USA). 
 
Once the 328 XMR has been raised, it will be moved immediately to the capital reserves of a company entitled Digital Renegades Corp. This company is owned and operated by Monero Core member binaryFate. This will then immediately be converted to fiat, or a stable coin, to hedge for any price fluctuation.
 
Digital Renegades Corp will use the capital to pay for invoices in fiat, directly to the invoicer, as and when they are received. This will include an initial outlay for the PMs to get started (I am proposing €1500). The PMs have agreed to keep an ongoing transparent record of all expenditure for the event (including their own expenses). The PMs will not handle fiat unless explicitly having too. All CCS funds will be managed by the Digital Renegades Corp.

**edit2 - It has been agreed that the €5000 fee will be dispersed to the PMs through a series of milestones. All milestones **will be non-refundable**. The first will be paid once (if) the CCS is funded (€1500). The second one will be paid around March/April (€1500), and the last one pre-event in May/June (€2000). Their expenses will be paid as and when necessary - through Digital Renegades Corp. They have agreed to keep an open and transparent record of expenses (including receipts) and it will be limited to €1500. This agreement is also reflected in the contract between DR and PMs.**
 
It should also be noted that we plan to sell tickets for the event. All ticket revenue will flow back to Digital Renegades Corp, and will be recycled into a fund for MoneroKon 2022/2023. This will be accounted for in a transparent fashion.

**edit1 - It has been discussed that a contract should be signed between the organisers and Digital Renegades, and this is the process of being organised. A contract template has been provided, and we are reviewing and amending it, so it is fit for purpose - thus protecting both the organisers, and of course Digital Renegades Corp**
 
# Why:
To ensure we have a MoneroKon 2022 and not have it cancelled for three years in a row. 
 
# Amount:
328 XMR
 
# Covid fallback:
Due to this ongoing issue, we will need to have a plan in place to mitigate potential eventualities where the event has to be cancelled. We are not envisaging this for an event of 200 people. However, we will organise to have a refund agreement in place with all venues/service providers, and also for anybody that has pre-purchased tickets. We will also be reticent of travel and accommodation refunds that may be forthcoming. Obviously this won’t be possible for everything - but hopefully will be for most things. Any surplus XMR raised and not spent in this eventuality will flow back to the General Fund to be used for MoneroKon 2023 (if not cancelled as well).

**edit2 - As @rottenwheel has stated, the CCS does not afford refunds to be paid to donors. To this effect, if the CCS is funded and the event has to be cancelled/postponed all XMR will be directed towards MoneroKon 2023. If the CCS is only partially funded - all raised XMR will be directed to the MoneroKon 2023 fund**

**edit3 - Please note that if this CCS _is not funded in full by mid February (estimated date)_, the raised funds at that time will roll into the MoneroKon 2023 fund, maintained until 2023 by Core. This was discussed in the #monero-community channel, and agreed upon as a way to move forward.**
