---
layout: cp
title: "Continued funding for Surae for another quarter, September October November 2018"
author: suraeNoether
date: August 26, 2018
amount: 280
milestones:
  - name: Milestone 1 - September
    funds: 33.33% (93.33 XMR)
    done:
    status: finished
  - name: Milestone 2 - October
    funds: 33.33% (93.33 XMR)
    done:
    status: finished
  - name: Milestone 3 - November
    funds: 33.33% (93.33 XMR)
    done:
    status: finished
payouts:
  - date: November 20, 2018
    amount: 186.66 XMR
  - date: December 6, 2018
    amount: 93.34 XMR
---
**WHO** My name is Brandon Goodell. I am Monero Research Lab’s first postdoctoral researcher into cryptocurrency. I have a Ph.D. in Mathematical Sciences from Clemson University, a M.Sc. in Mathematics from North Dakota State University, and a B.S. in Mathematics from Colorado State University. I taught as a graduate student for 9 years at the university level, and I have participated in the Monero community under the pseudonym Surae Noether on-and-off 2014-2016, and I have worked at MRL full-time since June 2017.

**WHAT** I am requesting a continuation of funding for my next quarter, of Sept-Nov. The overall lab-wide goals for MRL in the 2018/2019 year are described here, with completed tasks since the last update described. Most notably: we are waiting to hear from IACR about the multi-sig paper. In the last quarter, I said "contributors can expect in the next quarter: the beginning of the expansion of the document Zero to Monero into the Monero Standards, the literature review component of the roadmap to make progress as Sarang and I continue to read and take notes on current literature, a technical report on churn and linkability heuristics, and the (still in preparation) technical report on multisignatures (see below)." In regards to finishing these tasks, we have made significant progress on every front except for converting Zero-to-Monero into the Monero Standards: the literature review component of multi-signatures made it's way into the paper, and we have made some quantitative progress on the churn/linkability analysis, although we do not yet have a first draft of the churn heuristics. We have had some discussion about whether Monero Standards are even necessary now that Zero to Monero has been completed by contributor Ukoe.

In the next quarter, contributors can expect: a draft of a document describing cross-chain atomic swaps with ring confidential transactions, more literature review components, a draft of a document describing our churn/linkability results, and a draft of recommended best practices for Monero.

**WHY** Monero Research Lab has communicated with researchers all over the cryptocurrency industry, cryptographers, computer scientists, and computer engineers. In the past year, we have traveled internationally to conferences to learn and participate in the dissemination of results, contributed to several published technical notes on the technology underlying Monero, helped read and review papers for other researchers, participated in the cryptocurrency community more broadly, and learned quite a bit about decentralized payment infrastructures. We have submitted one paper for peer review and we have published a handful of whitepapers. Our work into multisig revealed a lot of dangerous territory in the multi-signature world. We ended up not needing to abandon the Musig protocol; we merely needed to insert a commit-and-reveal step. Taking great care in the construction of multi-signatures is going to be one foundational piece of off-chain scaling for Monero.

**HOW MUCH TOTAL** ~~376 XMR~~ 280 XMR. I am asking for 9000$ USD/month; this is in line with market rates for a Ph.D. scientist and mathematician (accounting for the tax implications of working outside a traditional employer), and represents my assessment of fair compensation. ~~I am asking at 71.88 USD/XMR as my baseline exchange rate.~~ The market has changed somewhat from my initial posting, so I am asking at approximately 96 USD/XMR Why? ~~I am modifying my rule of estimating my XMR exchange rate: in an objectively bear market (we have had around a 40-50% contraction in price over June, July, and August), I'll take the lower bound of the 30-day Bollinger Band with 1.9599 standard deviations, and during an objectively bull market, I'll take the upper bound.~~ I am modifying my rule of estimating my XMR exchange rate: in a bear market, I will split the difference between the 30 day EMA and the lower Bollinger band, otherwise in a bull market I will split the difference between the 30 day EMA and the upper Bollinger band. ~~If the change in the market on the 3-month scale is under 10% or so, I'm not going to sweat it and just go with the 30 day EMA.~~ The market has changed enough for me to re-adjust my request. The last two funding periods, I was using the 30 day EMA to estimate the Monero exchange rate, but this always leads to an over-estimate of price during a bear market.

**Thank you, Monero Community!** Let's get Monero's lightning technology rollin! We at MRL strongly value community input into the funding process, and welcome discussions regarding my funding proposal. Thank you again to the entire community, whether you've donated to me or not... you guys are absolutely running the show, and you all kick some major butt. I hope by making Monero better, we're all a little better off.