---
layout: cp
title: Monero FM (community run radio project)
author: ajs
date: September 7, 2020
amount: 35
milestones:
  - name: Payout for license acquisition, initial expenses
    funds: 17.569028
    done: 7 August 2021
    status: finished
  - name: Payout excess to genfund
    funds: 17.430972
    done: 12 February 2022
    status: finished
payouts:
  - date: 8 August 
    amount: 17.569028
  - date: 12 February 2022
    amount: 17.430972
---

# Monero.FM, the Monero community run radio station.

Ok, let's make this short and sweet. We want to start an online radio station for Monero, controlled, in part, by the Monero community.

## Why? 
- It'll be super fun; a new way for the community to connect. 
- We can see about monetizing the radio station with some ads or paid subscription (for higher bitrates) to make it self sustaining (after the initial CCS) and help the CCS and general fund.
- Low sunk costs! We can try it out for a while (the licenses are for a year) and if it's not popular then we don't have to renew.
- It can be used as a platform to get high quality information out to our listeners, both about upcoming updates (remember to update GUI), new CCS's to fund, and even teaching opportunities for newbies if it grows large enough.
- It's not as expensive as you might think to do all of this completely legally and above board. Don't believe us? Check it out below!


## Initial Estimated Costs
- Monero.FM Domain ($75-$100 Annual)
- SoundExchange Umbrella License ($500 Annual)
- ASCAP Performance License ($266-$1499[1])
- Server Hosting Fees ($250 Annual)
- Overages/Slush ($250)
- Music Aquisition Costs[2] (avg ~$1.33/track, 1000 tracks to start = $1300)

Asked from community initially via CCS: 100+500+266+250+250+1300 = $2667

At $82/XMR that is 32.5 XMR, with a 10% buffer that comes to 35 XMR.

Half of the funds will be released up front to secure the licenses. Only after the licenses are secured will the second half be released to cover music acquisition costs.


[1] Exceeding the $266 tier would require either >369,000 concurrent listeners, or >$24,600 in annual revenue. The former case is unlikely, and the latter would imply that the radio is already self sustaining. 

[2] This is the most open-ended part of the proposal, and we will need to find some way to sustain the media library without the assistance of the CCS. Some ideas for future funding are users 'donating' licenses (by paying to have their favorite songs added to the library), running radio ads for vetted entities in the cryptocurrency ecosystem, premium subscriptions (for a higher bitrate/quality stream), selling subdomained stations to other projects (with access to our purchased media library) or something else.

## Management
- DJs can be picked from the community depending on interest and experience to handle time slots. It can be completely community run.
- There are several options for how to run it on the software side of things, all of them are FOSS. Some ideas are using something like AzuraCast (https://github.com/AzuraCast/AzuraCast)
- During non-DJed hours, a private IRC channel will allow vetted community members to collaboratively queue tracks, and a public IRC channel will allow unvetted community members to vote on them[1]. In the absense of DJ queueing, the library will run on a vote-weighted shuffle. This will be done via an IRC bot that is in development by needmoney90.

[1] For legal reasons having to do with licensing, the queueing room cannot be entirely public access.

## Specifics
- Cypher Stack (Diego's small design firm) will be the business that holds the license (as someonebody needs to do that). Cypher Stack will be disbursing 34% of the profits (beyond what is needed for self-sustenance) to the general fund.
- Part of what is considered self-sustenance is a paid position for continuous oversight, marketing, and general maintenance of the radio utility. needmoney90 has been chosen for this position. The salary will never be asked from the CCS givers, only from made profits.

## Profit disbursment
Once annual estimated costs are achieved for the year (totaling $2666 as denoted above), Monero.FM will go into "profit mode" which will see a splitting of the profits as follows.
- 34% will go to the general fund.
- 33% will go to the salaried position designated in the Specifics section.
- 33% will go to continued music acquisition.

Monero FM will leave 'profit mode' upon the next calendar year until the sustenance costs are recouped again.

Note: It is not guaranteed that Monero FM will EVER go into profit mode. Please remember that this is an online radio station, which typically have low margins, especially for niche communities like cryptocurrency.
